> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chkk.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Container

> Gets a single KubeClusterResourceContainer

A KubeClusterResource can have many <em>KubeClusterResourceContainers</em>.
When a KubeClusterResource refers to a Resource that is comprised of
one or more ContainerSpecs, we create a KubeClusterResourceContainer
corresponding to that ContainerSpec. This allows us to have fine-grained
knowledge of the specific Images referenced in all Resources in the
KubeCluster.

A KubeClusterResourceContainer <em>may</em> be associated with a known Project.
When the KubeClusterResourceContainer's Project field is empty, that means that
the classification process was unable to determine a matching Project for the
discovered Resource Container.

A KubeClusterResourceContainer <em>may</em> be associated with a known
ProjectContainer. When the KubeClusterResourceContainer's ProjectContainer
field is empty, that means that the classification process was unable to
determine a matching ProjectContainer for the discovered Resource
Container.




## OpenAPI

````yaml get /kubeclusters/{cluster}/resources/{resource}/containers/{container}/
openapi: 3.1.0
info:
  description: >

    The Chkk Artifact Register API exposes information about the artifacts in a

    customer's clusters.


    Data models exposed in the Chkk Artifact Register API include:


    * <b>Organization</b>: the top-level object that models a Chkk customer.

    * <b>Account</b>: a container for resource ownership within an Organization.

    * <b>KubePlatform</b>: describes things like the cloud infrastructure
    provider
      and the control plane provider.
    * <b>KubeCluster</b>: a single cluster provisioned by a
      KubePlatform.
    * <b>KubeClusterScan</b>: a single Chkk scan of a cluster.

    * <b>KubeClusterResource</b>: a single Resource
      (Deployment, DaemonSet or StatefulSet) from a KubeClusterScan.
    * <b>KubeClusterResourceContainer</b>: a single container record in a
      KubeClusterResource.
    * <b>Project</b>: software that provides some functionality.

    * <b>ProjectReleaseSeries</b>: a single release series for a Project.

    * <b>ProjectRelease</b>: a single release for a Project.

    * <b>ProjectVersionSet</b>: a configuration, layout or structure of a
    Project
      that is consistent for a range of ProjectReleases.
    * <b>ProjectComponent</b>: a separate binary, daemon, or subsystem of a
      Project.
    * <b>Package</b>: a named bundle of software that is bundled (and
      identified) in the format of a specific PackageSystem.
    * <b>PackageRelease</b>: a single release for a Package.

    * <b>PackageVersionSet</b>: a configuration, layout or structure of a
    Package
      that is consistent for a range of PackageReleases.
    * <b>OCIRepository</b>: a single namespace within an OCI Registry.

    * <b>OCIArtifact</b>: a single OCI Artifact (manifest) that describes an OCI
      Image or other OCI Artifact.
    * <b>OCITag</b>: a name that points to a unique OCIArtifact within an
      OCIRepository.
    * <b>OCIReference</b>: a relationship between an OCITag and an OCIArtifact.

    * <b>RiskSignature</b>: the source of a <em>potential</em>
      availability or operational risk for a customer.
    * <b>Risk</b>: a <em>detected</em> RiskSignature for an Account.

    * <b>UpgradeTemplate</b>: detailed instructions for upgrading or migrating a
      KubeCluster or an installed part of a KubeCluster. 
  title: Chkk API
  version: '1.0'
servers: []
security: []
paths:
  /kubeclusters/{cluster}/resources/{resource}/containers/{container}/:
    get:
      tags:
        - KubeCluster
      summary: Get Container
      description: >
        Gets a single KubeClusterResourceContainer


        A KubeClusterResource can have many
        <em>KubeClusterResourceContainers</em>.

        When a KubeClusterResource refers to a Resource that is comprised of

        one or more ContainerSpecs, we create a KubeClusterResourceContainer

        corresponding to that ContainerSpec. This allows us to have fine-grained

        knowledge of the specific Images referenced in all Resources in the

        KubeCluster.


        A KubeClusterResourceContainer <em>may</em> be associated with a known
        Project.

        When the KubeClusterResourceContainer's Project field is empty, that
        means that

        the classification process was unable to determine a matching Project
        for the

        discovered Resource Container.


        A KubeClusterResourceContainer <em>may</em> be associated with a known

        ProjectContainer. When the KubeClusterResourceContainer's
        ProjectContainer

        field is empty, that means that the classification process was unable to

        determine a matching ProjectContainer for the discovered Resource

        Container.
      operationId: kubecluster-resource-container-get
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KubeClusterResourceContainer'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
components:
  schemas:
    KubeClusterResourceContainer:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/KubeClusterResourceContainer.json
          format: uri
          readOnly: true
          type: string
        cluster:
          description: >-
            Cluster is the ID of the KubeCluster in which this
            KubeClusterResource resides.
          examples:
            - k8scl_83eaa8d5-36ab-4814-9559-77518ec434cf
          type: string
        container_name:
          description: >-
            String name of the container within the KubeClusterResource. Must be
            unique for the KubeClusterResource.
          examples:
            - controller
          type: string
        created_by:
          description: user who created the record.
          type: string
        created_on:
          description: timestamp of when the record was created.
          format: date-time
          type: string
        image:
          description: Image ID for the container within the KubeClusterResource.
          examples:
            - docker.io/cert-manager/cert-manager:1.2.45
          type: string
        last_modified_by:
          description: user who last modified the record.
          type: string
        last_modified_on:
          description: timestamp of when the record was last modified.
          format: date-time
          type: string
        namespace:
          description: The namespace in which the KubeClusterResource resides.
          examples:
            - kube-system
          type: string
        project:
          description: >-
            During classification, if Chkk was able to determine the specific
            Project associated with the KubeClusterResourceContainer, this field
            will contain the ID of the Project.
          examples:
            - proj_8897b911-950d-4485-93a9-2eedc6fac4fa
          type: string
        project_component:
          description: >-
            During classification, if Chkk was able to determine the specific
            ProjectComponent that was associated with the
            KubeClusterResourceContainer, this field will contain the ID of the
            ProjectComponent.
          examples:
            - proj_8897b911-950d-4485-93a9-2eedc6fac4fa:1:agent
          type: string
        resource_kind:
          description: The Resource Kind.
          enum:
            - Deployment
            - DaemonSet
            - StatefulSet
          examples:
            - Deployment
          type: string
        resource_name:
          description: The value of the metadata.name field in the resource manifest.
          examples:
            - mysql-server
          type: string
        scanned_on:
          description: The timestamp the KubeClusterScan occurred.
          format: int64
          type: integer
      required:
        - image
        - cluster
        - scanned_on
        - namespace
        - resource_kind
        - resource_name
        - container_name
        - created_by
        - created_on
        - last_modified_by
        - last_modified_on
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````